/*******************************************************************
Nom ......... : code3.c
Role ........ : Programme C permettant de compter le nombre d'occurrences d'un caractère 
				quelconque (introduit au clavier au début du traitement)
				dans une suite de caractères saisis au clavier et terminée par un "."
Auteur ...... : Bertrand Marquette
Version ..... : V1.0 du 21/09/2012
********************************************************************/

#include <stdio.h>
void main ()
{
	// declaration des variables

	char c='a';
	char car;
	int i=0;

	// saisie

	printf("Veuillez entrer un caractere\n");
	c=getchar();
	printf("entrez une chaine de carac et terminer la saisie par un point \n");

	do
		{
			fflush(stdin);
			scanf("%c", &car);
			if(car==c)
				i++;
		}
	while(car!='.');

	// sortie

	printf("Le nombre de %c dans la chaine de caractere est de %d\n", c,i);
	printf("fuck you asshole !!!");
	system("PAUSE");
}